de.dhbwstuttgart.typeinference.assumptions

## Class Assumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption

Direct Known Subclasses:
  FieldAssumption, GenericVarAssumption, LocalVarAssumption, ParameterAssumption

    public class Assumption
    extends java.lang.Object

### Field Summary

Fields
`private TypeInsertable` `typable`

### Constructor Summary

Constructors
`protected` `Assumption()` Wird dieser Konstruktor benutzt mÃ¼ssen alle Methoden der Klasse Assumption Ã¼berschrieben werden.
`` `Assumption(TypeInsertable ass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Type` `getAssumedType()`
`JavaClassName` `getIdentifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typable

    private TypeInsertable typable

### Constructor Detail

#### Assumption

    protected Assumption()

Wird dieser Konstruktor benutzt mÃ¼ssen alle Methoden der Klasse Assumption Ã¼berschrieben werden.

#### Assumption

    public Assumption(TypeInsertable ass)

### Method Detail

#### getAssumedType

    public Type getAssumedType()

#### getIdentifier

    public JavaClassName getIdentifier()